## thunderbird 91.11.0+build2

=== debian/changelog ===
thunderbird (1:91.11.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.11.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 01 Jul 2022 09:21:35 +0200

thunderbird (1:91.10.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.10.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 30 May 2022 12:13:57 +0200

thunderbird (1:91.9.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.9.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 20 May 2022 08:33:55 +0200

thunderbird (1:91.9.0+build3-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.9.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 04 May 2022 11:18:30 +0200

thunderbird (1:91.9.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.9.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 02 May 2022 09:22:35 +0200

thunderbird (1:91.9.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.9.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 29 Apr 2022 16:02:54 +0200

thunderbird (1:91.8.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.8.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Apr 2022 11:45:20 +0200

thunderbird (1:91.8.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.8.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 02 Apr 2022 22:21:11 +0200

thunderbird (1:91.8.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.8.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Mar 2022 09:46:30 +0200

thunderbird (1:91.7.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.7.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 07 Mar 2022 23:24:54 +0100

thunderbird (1:91.7.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.7.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 03 Mar 2022 16:23:47 +0100

thunderbird (1:91.6.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.6.1build1)

  * Install thunderbird as a scheme handler for the webcal protocol
    (LP: #1960421)
    - debian/thunderbird.desktop.in
  * Install thunderbird as a scheme handler for the mid (Message ID) protocol
    (LP: #1960614)
    - debian/thunderbird.desktop.in
  * Install thunderbird as a handler for message/rfc822 (.eml) files
    (LP: #1861262)
    - debian/thunderbird.desktop.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 14 Feb 2022 21:40:39 +0100

thunderbird (1:91.6.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.6.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 07 Feb 2022 09:59:39 +0100

thunderbird (1:91.5.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.5.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 Jan 2022 12:33:54 +0100

thunderbird (1:91.5.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.5.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 11 Jan 2022 17:56:10 +0100

thunderbird (1:91.4.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.4.0build2)
      
  [ Rico Tzschichholz ]
  * Bump dump_sys to bf7f6bd855eb6ecb233b52bfa7b2c975b7026540 (LP: #1945770)
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 10 Dec 2021 13:28:18 +0100

thunderbird (1:91.3.2+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.3.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 19 Nov 2021 13:13:31 +0100

thunderbird (1:91.3.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.3.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 16 Nov 2021 10:39:30 +0100

thunderbird (1:91.3.0+build2-0ubuntu0.21.10.2) impish; urgency=medium

  * Clean up obsolete gtk2-related exclusions
    - debian/build/rules.mk
  * Remove obsolete patch
    - debian/patches/s390x-workaround-sqlite3-clang-optimization-hang.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 13 Nov 2021 22:21:59 +0100

thunderbird (1:91.3.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.3.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 04 Nov 2021 15:58:17 +0100

thunderbird (1:91.2.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.2.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 21 Oct 2021 09:57:30 +0200

thunderbird (1:91.2.0+build1-0ubuntu0.21.10.2) impish; urgency=medium

  * Build with clang 13 where available, and drop clang 8
    - debian/build/rules.mk
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 19 Oct 2021 13:45:53 +0200

thunderbird (1:91.2.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream stable release (91.2.0build1) (LP: #1946098)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 19 Oct 2021 11:07:01 +0200

=== debian/control ===
# vim:noexpandtab:
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.impish
Build-Depends: cdbs,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	libpulse-dev,
	nasm (>= 2.14.02),
	yasm (>= 1.1),
	imagemagick,
	docbook-to-man,
	libkrb5-dev,
	unzip,
	dbus-x11,
	xvfb,
	python3 (>= 3.6),
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-13 | clang-12 | clang-11 | clang-10,
	libclang-13-dev | libclang-12-dev | libclang-11-dev | libclang-10-dev,
	llvm-13-dev | llvm-12-dev | llvm-11-dev | llvm-10-dev,
	cargo (>= 0.52),
	rustc (>= 1.51.0),
	nodejs (>= 10.23.1)
Standards-Version: 3.9.1

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Suggests: ${support:Suggests},
	ttf-lyx,
	libotr5,
Breaks: ${transitional:Breaks},
	tinyjsd (<< 1.2+git1-1ubuntu1),
	jsunit (<< 0.2.2-2ubuntu1),
	enigmail (<< 2:2.2),
Replaces: ${transitional:Replaces},
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Provides: mail-reader,
	${app:Provides}
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	libnotify4 | libnotify1
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}
Description: Email, RSS and newsgroup client - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

# Transitional packages below here

Package: xul-ext-lightning
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Can be dropped after 14.04
Package: xul-ext-calendar-timezones
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: xul-ext-gdata-provider
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-us
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-ar
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-es
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: thunderbird-locale-fy, ${misc:Depends}
Description: Transitional Western Frisian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ga-ie
Architecture: all
Depends: thunderbird-locale-ga, ${misc:Depends}
Description: Transitional Irish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nb-no
Architecture: all
Depends: thunderbird-locale-nb, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nn-no
Architecture: all
Depends: thunderbird-locale-nn, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pa-in
Architecture: all
Depends: thunderbird-locale-pa, ${misc:Depends}
Description: Transitional Punjabi language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-br
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-pt
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-sv-se
Architecture: all
Depends: thunderbird-locale-sv, ${misc:Depends}
Description: Transitional Swedish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ta-lk
Architecture: all
Depends: thunderbird-locale-ta, ${misc:Depends}
Description: Transitional Tamil language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-cn
Architecture: all
Depends: thunderbird-locale-zh-hans, ${misc:Depends}
Description: Transitional Simplified Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-tw
Architecture: all
Depends: thunderbird-locale-zh-hant, ${misc:Depends}
Description: Transitional Traditional Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: thunderbird-locale-af
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Thunderbird
 This package contains Afrikaans translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Thunderbird
 This package contains Arabic translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ast
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Thunderbird
 This package contains Asturian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-be
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Thunderbird
 This package contains Belarusian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bg
Architecture: any

## thunderbird 91.12.0

=== comm/third_party/rnp/src/fuzzing/CMakeLists.txt ===
# Copyright (c) 2020 Ribose Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.


if(NOT DEFINED ENV{LIB_FUZZING_ENGINE})
  add_compile_options(-fsanitize=fuzzer-no-link)
  add_link_options(-fsanitize=fuzzer)
else()
  # This section is used by OSS-Fuzz
  add_link_options($ENV{LIB_FUZZING_ENGINE})
  if($ENV{FUZZING_ENGINE} STREQUAL "afl")
    link_libraries(-stdlib=libc++)
  endif()
endif()

add_executable(fuzz_dump dump.c)

target_include_directories(fuzz_dump
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_dump
  PRIVATE
    librnp
)

add_executable(fuzz_keyring keyring.c)

target_include_directories(fuzz_keyring
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_keyring
  PRIVATE
    librnp
)

add_executable(fuzz_keyimport keyimport.c)

target_include_directories(fuzz_keyimport
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_keyimport
  PRIVATE
    librnp
)

add_executable(fuzz_sigimport sigimport.c)

target_include_directories(fuzz_sigimport
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_sigimport
  PRIVATE
    librnp
)

add_executable(fuzz_verify verify.c)

target_include_directories(fuzz_verify
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_verify
  PRIVATE
    librnp
)

add_executable(fuzz_verify_detached verify_detached.c)

target_include_directories(fuzz_verify_detached
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_verify_detached
  PRIVATE
    librnp
)

add_executable(fuzz_keyring_kbx keyring_kbx.c)

target_include_directories(fuzz_keyring_kbx
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_keyring_kbx
  PRIVATE
    librnp
)

add_executable(fuzz_keyring_g10 keyring_g10.cpp)

target_include_directories(fuzz_keyring_g10
  PRIVATE
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/src/lib"
)

target_link_libraries(fuzz_keyring_g10
  PRIVATE
    librnp-static
)

if (ENABLE_SANITIZERS)
  foreach(tgt fuzz_dump fuzz_keyring fuzz_keyimport fuzz_sigimport fuzz_verify fuzz_verify_detached fuzz_keyring_kbx fuzz_keyring_g10)
    set_target_properties(${tgt} PROPERTIES LINKER_LANGUAGE CXX)
  endforeach()
endif()

=== debian/changelog ===
thunderbird (2:91.12.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 02 Aug 2022 21:14:07 -0700

thunderbird (1:91.12.0-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Jul 2022 10:47:10 +0200

thunderbird (1:91.12.0-1~deb11u1) bullseye-security; urgency=medium

  * [f7c7e7d] New upstream version 91.12.0
    Fixed CVE issues in upstream version 91.12 (MFSA 2022-31):
    CVE-2022-36319: Mouse Position spoofing with CSS transforms
    CVE-2022-36318: Directory indexes for bundled resources reflected URL
                    parameters
    (Closes: #1014004)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Jul 2022 19:23:20 +0200

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 cargo (>= 0.47),
 cbindgen (>= 0.19),
 clang,
 debhelper-compat (= 12),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbotan-2-dev (>= 2.8.0),
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libgtk-3-dev (>= 3.4),
 libjson-c-dev (>= 0.11),
 libhunspell-dev (>= 1.5.1~),
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 libstartup-notification0-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-dev,
 mesa-common-dev,
 mozilla-devscripts,
 nasm,
 nodejs (>= 10.19.0),
 python3,
 rustc-mozilla (>= 1.51),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/buster
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/buster/
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.6.1

Package: thunderbird
Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils | kdialog | zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
Breaks:
 birdtray (<< 1.7.0+ds-1~),
 calendar-google-provider (<=1:68.2.1-1),
 enigmail (<< 2:2.2.0~),
 jsunit (<< 0.2.2-1~),
 webext-compactheader (<= 3.0.0~),
 xul-ext-dispmua (<= 1.8.4.6-1),
 webext-exteditor (<= 2.0.4-1),
 xul-ext-sieve (<= 0.3.1+dfsg-1~),
 webext-sogo-connector (<= 68.0.1-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 Thunderbird also includes an integrated calendar for handling events, events
 invitations and tasks in multiple calendars. It supports local calendars,
 CalDAV and plain ics files on CardDAV and WebDAV.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-af (>= ${binary:Version}),
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cak (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-cy (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-ca (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-ka (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-lv (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-th (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-uz (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-af
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:af
Recommends:
 hunspell-af,
Description: Africaans language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Africaans.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cak
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
Description: Kacqhikel language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Kacqhikel.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cs
Recommends:
 hunspell-cs | myspell-cs-cz,
Description: Czech language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Czech.

Package: thunderbird-l10n-cy
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cy
Description: Welsh language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Welsh.

Package: thunderbird-l10n-da
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbgsym package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options. Picked partially from FF.

dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
# which is set by Mozilla while creating the release.
# This ensures we have a one-to-one date across the various package builds
# within Debian for one upstream version. This is important for user which
# are performing a dist-upgrade to a new release.
export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f configure old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)

override_dh_auto_configure:
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/js/src/configure ]; then \
		cd $(CURDIR)/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	# configure the various build settings for thunderbird
	DIST= python3 ./mach -v configure

# Ignore autoreconf, there is nothing that could be reconfigured. It's all
# newly generated right before debhelper would call that target.
override_dh_autoreconf:

override_dh_auto_build:
	# building the stuff
	dh_auto_build --builddirectory=obj-thunderbird
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			xpi-pack $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	python3 ./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	dh_bash-completion

override_dh_install-arch:
	dh_install
	# apparmor profile installed by dh_install
	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird

override_dh_install-indep:
	dh_install
	# remove executable rights on *.js, *.png, *.xul files
	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;

override_dh_strip:
	dh_strip -a --no-automatic-dbgsym
	
override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0

override_dh_builddeb:
	# just build all packages if there is no 'UNRELEASED' within the changelog
	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_builddeb ;\
	else \
		dh_builddeb -pthunderbird ;\
		dh_builddeb -plightning ;\
		for package in `grep -e \
			'Package: thunderbird-l10n\|Package: lightning-l10n' debian/control | awk '{print $$2;}'`; do \
			dh_builddeb -p$$package ;\
		done ;\
		sed -i '/thunderbird-dbgsym/d' debian/files ;\
	fi

override_dh_missing:
	dh_missing -X usr/bin/thunderbird \
	           -X usr/lib/thunderbird/Throbber-small.gif \
	           -X usr/lib/thunderbird/crashreporter \
	           -X usr/lib/thunderbird/minidump-analyzer \
	           -X usr/lib/thunderbird/pingsender

override_dh_dwz:
	# Don't use dwz for now, it fails with:
	# dwz: debian/thunderbird/usr/lib/thunderbird/libldap60.so: Found compressed .debug_info section, not attempting dwz compression
